<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white">

        <RelativeLayout
            android:id="@+id/rl_toolbar_title"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="@android:color/white"
            android:visibility="visible"
            app:layout_collapseMode="pin"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_scrollFlags="scroll|enterAlways">

            <ImageView
                android:id="@+id/iv_arrow_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="16dp"
                android:src="@drawable/ic_arrow_back" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:layout_toEndOf="@id/iv_arrow_back"
                android:ellipsize="end"
                android:fontFamily="@font/daxline_pro_bold"
                android:maxLines="1"
                android:text="Materi Pembelajaran"
                android:textColor="@color/text_primary"
                android:textSize="16sp"
                android:textStyle="bold" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/frame_video"
            android:layout_width="match_parent"
            android:layout_height="220dp"
            android:maxHeight="220dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rl_toolbar_title"
            android:background="@color/dark_gray">

            <com.google.android.exoplayer2.ui.PlayerView
                android:id="@+id/video_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_gravity="center"
                android:minHeight="220dp"
                app:controller_layout_id="@layout/layout_player_custom_control"
                app:played_color="@color/primary"
                app:scrubber_color="@color/primary"
                app:show_buffering="when_playing"
                app:use_controller="true" />

        </RelativeLayout>

        <TextView
            android:id="@+id/tv_theory_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:fontFamily="@font/daxline_pro_bold"
            android:textColor="@color/text_primary"
            android:textSize="18sp"
            app:layout_constraintTop_toBottomOf="@id/frame_video"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:text="Judulnya Materi" />

        <View
            android:id="@+id/line"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_margin="16dp"
            android:background="@color/mid_gray"
            app:layout_constraintTop_toBottomOf="@id/tv_theory_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"/>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintTop_toBottomOf="@id/line"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent">

            <ImageView
                android:id="@+id/iv_theory_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:cropToPadding="false"
                tools:src="@drawable/desc1"/>

        </ScrollView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>